| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Typedefs
BSPSceneManager
Plugins

Binary Space Parition (BSP) based indoor level scene manager. More...

## Classes
class | Ogre::BspIntersectionSceneQuery
| BSP specialisation of IntersectionSceneQuery. More...
class | Ogre::BspLevel
| Holds all the data associated with a Binary Space Parition (BSP) based indoor level. More...
class | Ogre::BspNode
| Encapsulates a node in a BSP tree. More...
class | Ogre::BspRaySceneQuery
| BSP specialisation of RaySceneQuery. More...
class | Ogre::BspSceneLoader
| Manages the locating and loading of BSP-based indoor levels. More...
class | Ogre::BspSceneManager
| Specialisation of the SceneManager class to deal with indoor scenes based on a BSP tree. More...
class | Ogre::BspSceneManagerFactory
| Factory for BspSceneManager. More...
class | Ogre::BspSceneNode
| Specialisation of SceneNode for the BspSceneManager. More...
class | Ogre::Quake3Level
| Support for loading and extracting data from a Quake3 level file. More...
class | Ogre::Quake3Shader
| Class for recording Quake3 shaders. More...
class | Ogre::Quake3ShaderManager
| Class for managing Quake3 custom shaders. More...

## Typedefs
typedef SharedPtr< BspLevel > | Ogre::BspLevelPtr

## Detailed Description

Binary Space Parition (BSP) based indoor level scene manager.

## Typedef Documentation

## ◆ BspLevelPtr

typedef SharedPtr<BspLevel> Ogre::BspLevelPtr